Subject: bug#13546: 24.2.92; Error(s) when sending emails

From: "Sebastien Vauban" <[email-masked]>
Date: Thu, 14 Feb 2013 12:36:45 +0100

Eli,

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 13 Feb 2013 23:31:16 +0100
>>
>> Euh, sorry, another one: impossible to convert an Org file to PDF.
>>
>> In fact, to be exact, these are problems which render Emacs unusable _for me_.
>> So, I quit, and take a new one: if I can't read my mails, easily access my
>> files and/or convert documents to PDF, well, I'm pretty blocked.
>>
>> >> - Helm-find-files does not include "locate" results anymore (I mean: from
>> >>   es.exe), just the current buffers, and the recent files.
>> >
>> > Any error message(s)?  Or just silent failures?
>>
>> Silent failures -- at least, I never saw anything wrong. Maybe some info is
>> hidden, though, somewhere in Messages or in debug buffers?
>>
>> >> - When connecting to my mail server, it's denied: I see all my mail groups
>> >>   grayed, and pressing ^, closing the server connection (C), re-establishing
>> >>   it (O) does not work. So, basically, I can't read my mails anymore.
>> >
>> > Again, any error message(s)?
>>
>> Yes (see live screencasts): connections denied to the mail server. Tough,
>> that's not a that weird message... Nothing as spectacular as "spawning
>> processes" or such.
>
> OK.  I really need to see those two arrays in this situation.  I think
> they are key to understanding what might be going on.

Voilà, did everything you wanted me to do, I think.

I began working around 09:30, and problems appeared from 12:18, that is after
3 hours of normal Emacs use.

Problems (in order):

- Can't save file due to "Spawning child process: resource temporarily
  unavailable"
- Can't export Org file to PDF due to the same reason
- Can't read posts NNTP server
- Can close it and reopen it, but email server is now "denied"

GDB trace (with comments in there, from 12:18):

--8<---------------cut here---------------start------------->8---
$ gdb -p 26316
GNU gdb (GDB) 7.5.50.20120815-cvs (cygwin-special)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-cygwin".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Attaching to process 26316
[New Thread 26316.0xfc4]
[New Thread 26316.0x2184]
[New Thread 26316.0x1244]
[New Thread 26316.0x5bd0]
[New Thread 26316.0x2d44]
Reading symbols from /cygdrive/c/Program Files (x86)/emacs-24.2.93/bin/emacs.exe...done.
(gdb) break fileio.c:4913
Breakpoint 1 at 0x106380e: file fileio.c, line 4913.
(gdb) break w32.c:6410
Breakpoint 2 at 0x108fca5: file w32.c, line 6410.
(gdb) commands
Type commands for breakpoint(s) 2, one per line.
End with a line saying just "end".
>bt 4
>p fd
>p fd_info[fd]
>p *cp
>continue
>end
(gdb) break w32proc.c:2247
Breakpoint 3 at 0x10351bb: file w32proc.c, line 2247.
(gdb) commands
Type commands for breakpoint(s) 3, one per line.
End with a line saying just "end".
>bt 5
>p cp
>p cp->wnd
>continue
>end
(gdb) continue
Continuing.
[New Thread 26316.0x60d0]
[New Thread 26316.0x3e60]
[New Thread 26316.0x1a00]
[New Thread 26316.0x24d4]
[New Thread 26316.0x37e8]
[New Thread 26316.0x3fc8]
[New Thread 26316.0x2118]
[Switching to Thread 26316.0xfc4]

Breakpoint 2, sys_read (fd=4, buffer=0x5704034 "", count=5) at w32.c:6410
#0  sys_read (fd=4, buffer=0x5704034 "", count=5) at w32.c:6410
#1  0x01091825 in emacs_gnutls_pull (p=0x55c80e8, buf=0x5704034, sz=5)
    at w32.c:7204
#2  0x7021725d in _gnutls_stream_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
#3  0x7021756d in _gnutls_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
6410    w32.c: No such file or directory.
$1 = 4
$2 = {flags = 1555, hnd = 0x2e8, cp = 0x1680cb8}
$3 = {fd = 4, pid = -1, char_avail = 0x304, char_consumed = 0x2f8,
  thrd = 0x2d8, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
    dwProcessId = 0, dwThreadId = 0}, status = 1, chr = 51 '3', ovl_read = {
    Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
      Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
    InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
    hEvent = 0x0}}
warning: sys_read called when read is in progress
[New Thread 26316.0x53a4]
[New Thread 26316.0x1070]
[New Thread 26316.0x6cc4]

Breakpoint 2, sys_read (fd=6, buffer=0x598a034 "", count=5) at w32.c:6410
6410    in w32.c
---Type <return> to continue, or q <return> to quit---
#0  sys_read (fd=6, buffer=0x598a034 "", count=5) at w32.c:6410
#1  0x01091825 in emacs_gnutls_pull (p=0x5467000, buf=0x598a034, sz=5)
    at w32.c:7204
#2  0x7021725d in _gnutls_stream_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
#3  0x7021756d in _gnutls_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
$4 = 6
$5 = {flags = 1555, hnd = 0x354, cp = 0x1680d68}
$6 = {fd = 6, pid = -1, char_avail = 0x2d4, char_consumed = 0x31c,
  thrd = 0x328, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
    dwProcessId = 0, dwThreadId = 0}, status = 1, chr = 22 '\026', ovl_read = {
    Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
      Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
    InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
    hEvent = 0x0}}
warning: sys_read called when read is in progress
[New Thread 26316.0x419c]
[New Thread 26316.0x3040]
[New Thread 26316.0x390c]
[New Thread 26316.0x5d24]
[New Thread 26316.0x2cd8]
[New Thread 26316.0xc98]
[New Thread 26316.0x6238]
[New Thread 26316.0x62e4]
[New Thread 26316.0x6fdc]
[New Thread 26316.0x2128]
[New Thread 26316.0x61bc]
[New Thread 26316.0x1d8c]
[New Thread 26316.0x3850]
[New Thread 26316.0x2b48]
[New Thread 26316.0x5a9c]
[New Thread 26316.0x2c08]
[New Thread 26316.0x6220]
[New Thread 26316.0x2350]
[New Thread 26316.0x2744]
[New Thread 26316.0x69b0]
[New Thread 26316.0x543c]
[New Thread 26316.0x5028]

Breakpoint 2, sys_read (fd=4, buffer=0x5fb6034 "", count=5) at w32.c:6410
6410    in w32.c
#0  sys_read (fd=4, buffer=0x5fb6034 "", count=5) at w32.c:6410
#1  0x01091825 in emacs_gnutls_pull (p=0x66a62a0, buf=0x5fb6034, sz=5)
    at w32.c:7204
#2  0x7021725d in _gnutls_stream_read ()
---Type <return> to continue, or q <return> to quit---
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
#3  0x7021756d in _gnutls_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
$7 = 4
$8 = {flags = 1555, hnd = 0x3a8, cp = 0x1680cb8}
$9 = {fd = 4, pid = -1, char_avail = 0x3d4, char_consumed = 0x3ac,
  thrd = 0x518, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
    dwProcessId = 0, dwThreadId = 0}, status = 1, chr = 22 '\026', ovl_read = {
    Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
      Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
    InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
    hEvent = 0x0}}
warning: sys_read called when read is in progress
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x5604]

Breakpoint 2, sys_read (fd=4, buffer=0x5fd1034 "", count=5) at w32.c:6410
6410    in w32.c
#0  sys_read (fd=4, buffer=0x5fd1034 "", count=5) at w32.c:6410
#1  0x01091825 in emacs_gnutls_pull (p=0x693eef0, buf=0x5fd1034, sz=5)
    at w32.c:7204
#2  0x7021725d in _gnutls_stream_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
#3  0x7021756d in _gnutls_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
$10 = 4
---Type <return> to continue, or q <return> to quit---
$11 = {flags = 1555, hnd = 0x5e0, cp = 0x1680cb8}
$12 = {fd = 4, pid = -1, char_avail = 0x3e4, char_consumed = 0x3ac,
  thrd = 0x3d4, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
    dwProcessId = 0, dwThreadId = 0}, status = 1, chr = 22 '\026', ovl_read = {
    Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
      Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
    InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
    hEvent = 0x0}}
warning: sys_read called when read is in progress
[New Thread 26316.0x6a30]
[New Thread 26316.0x34f4]
[New Thread 26316.0x68d0]

Breakpoint 2, sys_read (fd=6, buffer=0x6681034 "", count=5) at w32.c:6410
6410    in w32.c
#0  sys_read (fd=6, buffer=0x6681034 "", count=5) at w32.c:6410
#1  0x01091825 in emacs_gnutls_pull (p=0x5383f00, buf=0x6681034, sz=5)
    at w32.c:7204
#2  0x7021725d in _gnutls_stream_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
#3  0x7021756d in _gnutls_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
$13 = 6
$14 = {flags = 1555, hnd = 0x518, cp = 0x1680d68}
$15 = {fd = 6, pid = -1, char_avail = 0x598, char_consumed = 0x4f8,
  thrd = 0x4fc, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
    dwProcessId = 0, dwThreadId = 0}, status = 1, chr = 51 '3', ovl_read = {
---Type <return> to continue, or q <return> to quit---
    Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
      Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
    InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
    hEvent = 0x0}}
warning: sys_read called when read is in progress
[New Thread 26316.0x64dc]
warning: create_child.CreateProcess failed: 5
[New Thread 26316.0x5a08]
[New Thread 26316.0x3a80]
[New Thread 26316.0x1ad8]
[New Thread 26316.0x2a88]
warning: reader_thread.SetEvent failed with 6 for fd 7
[New Thread 26316.0x5330]
[New Thread 26316.0x6b38]
[New Thread 26316.0x2d88]
[New Thread 26316.0x4064]

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 26316.0x4064]
0x77af2fac in ntdll!RtlVerifyVersionInfo ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
(gdb) p fd_info[1]@64
$16 = {{flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 1559, hnd = 0x2a8,
    cp = 0x1680c60}, {flags = 1555, hnd = 0x5e0, cp = 0x1680cb8}, {
    flags = 1555, hnd = 0x468, cp = 0x1680d10}, {flags = 1555, hnd = 0x518,
    cp = 0x1680d68}, {flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0,
    cp = 0x0}, {flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0,
    cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0} <repeats 53 times>}
(gdb) p child_procs[1]@32
$17 = {{fd = 3, pid = -1, char_avail = 0x2b0, char_consumed = 0x2b4,
    thrd = 0x2b8, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
      dwProcessId = 0, dwThreadId = 0}, status = 2, chr = 0 '\000',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = -1, char_avail = 0x3e4,
    char_consumed = 0x3ac, thrd = 0x3d4, hwnd = 0x0, procinfo = {
      hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId = 0},
    status = 1, chr = 23 '\027', ovl_read = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0},
    ovl_write = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {fd = 5, pid = -1,
    char_avail = 0x2f0, char_consumed = 0x320, thrd = 0x364, hwnd = 0x0,
    procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 1, chr = 126 '~', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 6, pid = -1, char_avail = 0x598, char_consumed = 0x4f8, thrd = 0x4fc,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 1, chr = 52 '4', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
---Type <return> to continue, or q <return> to quit---
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 16560, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0xad089c, procinfo = {hProcess = 0x2d4, hThread = 0x590,
      dwProcessId = 16560, dwThreadId = 19600}, status = 3, chr = 67 'C',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = -1, pid = 28376, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x0,
      hThread = 0x0, dwProcessId = 28376, dwThreadId = 28352}, status = -1,
    chr = 0 '\000', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 0, pid = 0, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x0,
      hThread = 0x0, dwProcessId = 0, dwThreadId = 0}, status = 0,
    chr = 0 '\000', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}} <repeats 26 times>}
(gdb) continue
Continuing.
[New Thread 26316.0x44d8]
warning: reader_thread.SetEvent failed with 6 for fd 7
[New Thread 26316.0x6924]
warning: reader_thread.SetEvent failed with 6 for fd 7
[New Thread 26316.0x19f8]
warning: reader_thread.SetEvent failed with 6 for fd 7
[New Thread 26316.0x6cf8]
[New Thread 26316.0x555c]
[New Thread 26316.0x4f00]
[New Thread 26316.0x2588]
[New Thread 26316.0x66f8]
[New Thread 26316.0x1de4]
[New Thread 26316.0x5e98]
[New Thread 26316.0x43c]
[New Thread 26316.0x2314]
[New Thread 26316.0x6e5c]
[New Thread 26316.0x6d18]
[New Thread 26316.0x1fb4]
[New Thread 26316.0x1d90]
[New Thread 26316.0x3924]
[New Thread 26316.0x2598]
[New Thread 26316.0x5160]
[New Thread 26316.0x4a44]
[New Thread 26316.0xe60]
[New Thread 26316.0x3c44]
[New Thread 26316.0x5b54]
[New Thread 26316.0x4a00]
[New Thread 26316.0x689c]
[New Thread 26316.0x203c]
[New Thread 26316.0x1c08]
[New Thread 26316.0xf70]
[New Thread 26316.0x2ee0]
[New Thread 26316.0x5a98]
[New Thread 26316.0x11d8]
[New Thread 26316.0x55dc]
[New Thread 26316.0x3cb0]
[New Thread 26316.0x332c]
[New Thread 26316.0x6d34]
[New Thread 26316.0x2fb4]
[New Thread 26316.0x2550]
[New Thread 26316.0xd7c]
[New Thread 26316.0x63e4]
[New Thread 26316.0xaac]
[New Thread 26316.0x5b30]
[New Thread 26316.0x477c]
[New Thread 26316.0x45dc]
[New Thread 26316.0x12fc]
[New Thread 26316.0x5134]
[New Thread 26316.0x1e6c]
[New Thread 26316.0x5584]
[New Thread 26316.0x50b4]
[New Thread 26316.0x1614]
[New Thread 26316.0x6af0]
[New Thread 26316.0x5a74]
[New Thread 26316.0x6fd8]
[New Thread 26316.0x512c]
[New Thread 26316.0x4214]
[New Thread 26316.0x3e98]
[New Thread 26316.0x57f0]
[New Thread 26316.0x4090]
[New Thread 26316.0x11d4]
[New Thread 26316.0x5180]
[New Thread 26316.0x63a4]
[New Thread 26316.0x1088]
[New Thread 26316.0x625c]
[New Thread 26316.0x2778]
[New Thread 26316.0xc54]
[New Thread 26316.0x5c7c]
[New Thread 26316.0x4794]
[New Thread 26316.0x59e4]
[New Thread 26316.0x228c]
[New Thread 26316.0x6a2c]
[New Thread 26316.0x4060]
[New Thread 26316.0x1d9c]
[New Thread 26316.0x3bd8]
[New Thread 26316.0x5c3c]
[New Thread 26316.0x3940]
[New Thread 26316.0x36f8]
[New Thread 26316.0x500c]
[New Thread 26316.0x5ae0]
[New Thread 26316.0x22c4]
[New Thread 26316.0x6d64]
[New Thread 26316.0x61f8]
[New Thread 26316.0x69b4]
[New Thread 26316.0x5ec8]
[New Thread 26316.0x48f8]
[New Thread 26316.0x345c]
[New Thread 26316.0x6c6c]
[New Thread 26316.0x2900]
[New Thread 26316.0x4b68]
[New Thread 26316.0x6c30]
[New Thread 26316.0x1590]
[New Thread 26316.0x5ab0]
[New Thread 26316.0x41e4]
[New Thread 26316.0x4f08]
[New Thread 26316.0x2534]
warning: reader_thread.SetEvent failed with 6 for fd 4
warning: reader_thread.SetEvent failed with 6 for fd 6
[New Thread 26316.0x573c]

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 26316.0x573c]
0x77af2fac in ntdll!RtlVerifyVersionInfo ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
(gdb) p fd_info[1]@64
$18 = {{flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 1559, hnd = 0x2a8,
    cp = 0x1680c60}, {flags = 0, hnd = 0x5e0, cp = 0x0}, {flags = 1555,
    hnd = 0x468, cp = 0x1680d10}, {flags = 0, hnd = 0x518, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0} <repeats 53 times>}
(gdb) p child_procs[1]@32
$19 = {{fd = 3, pid = -1, char_avail = 0x2b0, char_consumed = 0x2b4,
    thrd = 0x2b8, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
      dwProcessId = 0, dwThreadId = 0}, status = 2, chr = 0 '\000',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = -1, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x0,
      hThread = 0x0, dwProcessId = 0, dwThreadId = 0}, status = -1,
    chr = 21 '\025', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 5, pid = -1, char_avail = 0x2f0,
    char_consumed = 0x320, thrd = 0x364, hwnd = 0x0, procinfo = {
      hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId = 0},
    status = 1, chr = 23 '\027', ovl_read = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0},
    ovl_write = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {fd = 6, pid = -1,
    char_avail = 0x0, char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {
      hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId = 0},
    status = -1, chr = 21 '\025', ovl_read = {Internal = 0, InternalHigh = 0, {
        {Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0},
---Type <return> to continue, or q <return> to quit---
    ovl_write = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {fd = 7,
    pid = 16560, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0xad089c, procinfo = {hProcess = 0x2d4, hThread = 0x590,
      dwProcessId = 16560, dwThreadId = 19600}, status = 3, chr = 67 'C',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 28604, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x590b08, procinfo = {
      hProcess = 0x548, hThread = 0x324, dwProcessId = 28604,
      dwThreadId = 5620}, status = -1, chr = 115 's', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 920, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5a0b08, procinfo = {
      hProcess = 0x514, hThread = 0x4c8, dwProcessId = 920,
      dwThreadId = 17864}, status = -1, chr = 114 'r', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 3192, char_avail = 0x0,
---Type <return> to continue, or q <return> to quit---
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5b0b08, procinfo = {
      hProcess = 0x564, hThread = 0x574, dwProcessId = 3192,
      dwThreadId = 16276}, status = 3, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = -1, pid = 17124, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
      dwProcessId = 17124, dwThreadId = 26884}, status = -1, chr = 0 '\000',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 0, pid = 0, char_avail = 0x0, char_consumed = 0x0,
    thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
      dwProcessId = 0, dwThreadId = 0}, status = 0, chr = 0 '\000',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}} <repeats 23 times>}
(gdb) continue
Continuing.
[New Thread 26316.0x518c]
[New Thread 26316.0x40dc]
[New Thread 26316.0x37b8]
[New Thread 26316.0x4a4c]
[New Thread 26316.0x5b7c]
[New Thread 26316.0x20b0]
[New Thread 26316.0x4d34]
[New Thread 26316.0x1704]
[New Thread 26316.0x4888]
[New Thread 26316.0x276c]
[New Thread 26316.0x6e6c]
[New Thread 26316.0x5780]
[New Thread 26316.0x4e88]
[New Thread 26316.0x635c]
[New Thread 26316.0xf8]
[New Thread 26316.0x1078]
[New Thread 26316.0x41d4]
[New Thread 26316.0x6098]
[New Thread 26316.0x6a98]
[New Thread 26316.0x2164]
[New Thread 26316.0x2ba4]
[New Thread 26316.0x16cc]
[New Thread 26316.0xaa0]
[New Thread 26316.0x4534]
[New Thread 26316.0x2510]
[New Thread 26316.0x3418]
[New Thread 26316.0x53c]
[New Thread 26316.0x1b6c]

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 26316.0x1b6c]
0x77af2fac in ntdll!RtlVerifyVersionInfo ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
(gdb) continue
Continuing.
[New Thread 26316.0x159c]
[New Thread 26316.0xd9c]
[New Thread 26316.0x3424]
[New Thread 26316.0x3a00]
[New Thread 26316.0x4edc]
[New Thread 26316.0x6b04]
[New Thread 26316.0x6c58]
[New Thread 26316.0x112c]
[New Thread 26316.0x40]
[New Thread 26316.0x6974]
[New Thread 26316.0x1b10]
[New Thread 26316.0x6968]
[New Thread 26316.0x64d0]
[New Thread 26316.0x5e74]
[New Thread 26316.0x4430]
[New Thread 26316.0x3920]
[New Thread 26316.0x1a24]
[New Thread 26316.0x1e34]
[New Thread 26316.0x27dc]
[New Thread 26316.0x3c80]
[New Thread 26316.0x864]
[New Thread 26316.0x3784]
[New Thread 26316.0x458c]
[New Thread 26316.0x6754]
[New Thread 26316.0x6ccc]
[New Thread 26316.0x1e30]
[New Thread 26316.0x5654]
[New Thread 26316.0x2b5c]
[New Thread 26316.0x6524]
[New Thread 26316.0x2e50]
[New Thread 26316.0x27ac]
[New Thread 26316.0x1fa0]
[New Thread 26316.0x6dd8]
[New Thread 26316.0x2fe0]
[New Thread 26316.0x3bc0]
[New Thread 26316.0x3098]
[New Thread 26316.0x1cb4]
[New Thread 26316.0x100]
[New Thread 26316.0x23fc]
[New Thread 26316.0x6cc8]
[New Thread 26316.0x15a4]
[New Thread 26316.0x5e14]
[New Thread 26316.0x4818]
[New Thread 26316.0xda8]
[New Thread 26316.0x5830]
[New Thread 26316.0x6ab8]
[New Thread 26316.0x178c]
[New Thread 26316.0x5864]
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x3248]
[New Thread 26316.0x4cac]
[New Thread 26316.0x62c0]
[New Thread 26316.0x6040]
[New Thread 26316.0x2458]
[New Thread 26316.0x4af0]
[New Thread 26316.0x1cfc]
[New Thread 26316.0x2284]
[New Thread 26316.0x6db0]
[New Thread 26316.0x6d4c]
[New Thread 26316.0x529c]
[New Thread 26316.0x3494]
[New Thread 26316.0x4b5c]
[New Thread 26316.0x4374]
[New Thread 26316.0x2ef8]
[New Thread 26316.0x61fc]
[New Thread 26316.0x5404]
[New Thread 26316.0x388c]
[New Thread 26316.0x65d0]
[New Thread 26316.0x2298]
[New Thread 26316.0x4608]
[New Thread 26316.0x56e4]
[New Thread 26316.0x3ce0]
[New Thread 26316.0x15dc]
[New Thread 26316.0x5200]
[New Thread 26316.0x1b2c]
[New Thread 26316.0x57b8]
[New Thread 26316.0x33e8]
[New Thread 26316.0x3c48]
[New Thread 26316.0x42c4]
[New Thread 26316.0xb48]
[New Thread 26316.0x2b70]
[New Thread 26316.0x2dd0]
[New Thread 26316.0x68f0]
[New Thread 26316.0x6934]
[New Thread 26316.0x6f58]
[New Thread 26316.0x2068]
[New Thread 26316.0x4010]
[New Thread 26316.0x3cf0]
[New Thread 26316.0x212c]
[New Thread 26316.0x25ec]
[New Thread 26316.0x18b8]
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x10bc]
[Switching to Thread 26316.0xfc4]

Breakpoint 2, sys_read (fd=4, buffer=0x6fea034 "", count=5) at w32.c:6410
6410    in w32.c
#0  sys_read (fd=4, buffer=0x6fea034 "", count=5) at w32.c:6410
#1  0x01091825 in emacs_gnutls_pull (p=0x6d69000, buf=0x6fea034, sz=5)
    at w32.c:7204
#2  0x7021725d in _gnutls_stream_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
#3  0x7021756d in _gnutls_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
$20 = 4
$21 = {flags = 1555, hnd = 0x2e4, cp = 0x1680d68}
$22 = {fd = 4, pid = -1, char_avail = 0x4b8, char_consumed = 0x41c,
  thrd = 0x50c, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
    dwProcessId = 0, dwThreadId = 0}, status = 1, chr = 51 '3', ovl_read = {
    Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
      Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
    InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
    hEvent = 0x0}}
warning: sys_read called when read is in progress
[New Thread 26316.0x3454]

Breakpoint 2, sys_read (fd=6, buffer=0x709e034 "", count=5) at w32.c:6410
---Type <return> to continue, or q <return> to quit---
6410    in w32.c
#0  sys_read (fd=6, buffer=0x709e034 "", count=5) at w32.c:6410
#1  0x01091825 in emacs_gnutls_pull (p=0x6e84ec0, buf=0x709e034, sz=5)
    at w32.c:7204
#2  0x7021725d in _gnutls_stream_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
#3  0x7021756d in _gnutls_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
$23 = 6
$24 = {flags = 1555, hnd = 0x568, cp = 0x1680cb8}
$25 = {fd = 6, pid = -1, char_avail = 0x708, char_consumed = 0x668,
  thrd = 0x71c, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
    dwProcessId = 0, dwThreadId = 0}, status = 1, chr = 22 '\026', ovl_read = {
    Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
      Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
    InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
    hEvent = 0x0}}
warning: sys_read called when read is in progress
[New Thread 26316.0x37a8]
[New Thread 26316.0x2e54]
[New Thread 26316.0x4158]
[New Thread 26316.0x2444]
[New Thread 26316.0x4c98]
[New Thread 26316.0x2d24]
[New Thread 26316.0x485c]
[New Thread 26316.0x2e00]
[New Thread 26316.0x2ff4]
[New Thread 26316.0x7e0]
warning: reader_thread.SetEvent failed with 6 for fd 7
[New Thread 26316.0x4ef8]
warning: reader_thread.SetEvent failed with 6 for fd 7
[New Thread 26316.0x42b4]
warning: reader_thread.SetEvent failed with 6 for fd 7
[New Thread 26316.0x61ac]
warning: reader_thread.SetEvent failed with 6 for fd 7
[New Thread 26316.0x3104]

Breakpoint 3, sys_kill (pid=1968, sig=9) at w32proc.c:2247
2247    w32proc.c: No such file or directory.
#0  sys_kill (pid=1968, sig=9) at w32proc.c:2247
#1  0x0102e22d in process_send_signal (process=105902341, signo=9,
    current_group=57350170, nomsg=0) at process.c:5948
#2  0x0102e28b in Fkill_process (process=105902341, current_group=57350170)
---Type <return> to continue, or q <return> to quit---
    at process.c:5975
#3  0x01023231 in Fdelete_process (process=105902341) at process.c:845
#4  0x0101318f in eval_sub (form=100522366) at eval.c:2140
$26 = (child_process *) 0x1681080
(gdb) There is no member named wnd.

Continuing.
warning: sys_kill.TerminateProcess returned 5 for pid 1968
[New Thread 26316.0xcc]

Breakpoint 3, sys_kill (pid=7260, sig=9) at w32proc.c:2247
2247    in w32proc.c
#0  sys_kill (pid=7260, sig=9) at w32proc.c:2247
#1  0x0102e22d in process_send_signal (process=113971765, signo=9,
    current_group=57350170, nomsg=0) at process.c:5948
#2  0x0102e28b in Fkill_process (process=113971765, current_group=57350170)
    at process.c:5975
#3  0x01023231 in Fdelete_process (process=113971765) at process.c:845
#4  0x0101318f in eval_sub (form=100522366) at eval.c:2140
$27 = (child_process *) 0x16810d8
(gdb) There is no member named wnd.

Continuing.
warning: sys_kill.TerminateProcess returned 5 for pid 7260
warning: reader_thread.SetEvent failed with 6 for fd 7
[New Thread 26316.0x3544]
[New Thread 26316.0x4188]
warning: reader_thread.SetEvent failed with 6 for fd 7
[New Thread 26316.0x56a4]
warning: reader_thread.SetEvent failed with 6 for fd 7
[New Thread 26316.0x1cf8]
[New Thread 26316.0x6c90]
[New Thread 26316.0x43bc]
[New Thread 26316.0x1838]
[New Thread 26316.0x2ae4]
[New Thread 26316.0x6bb0]
[New Thread 26316.0x428c]
[New Thread 26316.0x31ec]
warning: reader_thread.SetEvent failed with 6 for fd 4
warning: reader_thread.SetEvent failed with 6 for fd 6
[New Thread 26316.0x1f3c]
[New Thread 26316.0x2b0c]
[New Thread 26316.0x1744]

Breakpoint 2, sys_read (fd=4, buffer=0x65f2034 "", count=5) at w32.c:6410
6410    w32.c: No such file or directory.
#0  sys_read (fd=4, buffer=0x65f2034 "", count=5) at w32.c:6410
#1  0x01091825 in emacs_gnutls_pull (p=0x6ba83c0, buf=0x65f2034, sz=5)
    at w32.c:7204
#2  0x7021725d in _gnutls_stream_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
#3  0x7021756d in _gnutls_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
$28 = 4
$29 = {flags = 1555, hnd = 0x560, cp = 0x1680d68}
$30 = {fd = 4, pid = -1, char_avail = 0x6cc, char_consumed = 0x354,
  thrd = 0x668, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
    dwProcessId = 0, dwThreadId = 0}, status = 1, chr = 51 '3', ovl_read = {
    Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
      Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
    InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
    hEvent = 0x0}}
warning: sys_read called when read is in progress
[New Thread 26316.0x19f4]

Breakpoint 2, sys_read (fd=6, buffer=0x6b59034 "", count=5) at w32.c:6410
6410    in w32.c
#0  sys_read (fd=6, buffer=0x6b59034 "", count=5) at w32.c:6410
---Type <return> to continue, or q <return> to quit---
#1  0x01091825 in emacs_gnutls_pull (p=0x6b15480, buf=0x6b59034, sz=5)
    at w32.c:7204
#2  0x7021725d in _gnutls_stream_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
#3  0x7021756d in _gnutls_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
$31 = 6
$32 = {flags = 1555, hnd = 0x4b8, cp = 0x1680cb8}
$33 = {fd = 6, pid = -1, char_avail = 0x2e4, char_consumed = 0x470,
  thrd = 0x458, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
    dwProcessId = 0, dwThreadId = 0}, status = 1, chr = 22 '\026', ovl_read = {
    Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
      Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
    InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
    hEvent = 0x0}}
warning: sys_read called when read is in progress
[New Thread 26316.0x59d0]
[New Thread 26316.0xfc0]
warning: reader_thread.SetEvent failed with 6 for fd 7
[New Thread 26316.0x4af8]
[New Thread 26316.0x1248]
warning: reader_thread.SetEvent failed with 6 for fd 7
[New Thread 26316.0x52c8]

Breakpoint 3, sys_kill (pid=27128, sig=9) at w32proc.c:2247
2247    w32proc.c: No such file or directory.
#0  sys_kill (pid=27128, sig=9) at w32proc.c:2247
#1  0x0102e22d in process_send_signal (process=111083733, signo=9,
    current_group=57350170, nomsg=0) at process.c:5948
#2  0x0102e28b in Fkill_process (process=111083733, current_group=57350170)
    at process.c:5975
#3  0x01023231 in Fdelete_process (process=111083733) at process.c:845
---Type <return> to continue, or q <return> to quit---
#4  0x0101318f in eval_sub (form=100522366) at eval.c:2140
$34 = (child_process *) 0x1681290
(gdb) There is no member named wnd.

Continuing.
warning: sys_kill.TerminateProcess returned 5 for pid 27128
warning: reader_thread.SetEvent failed with 6 for fd 7
[New Thread 26316.0x35e8]
[New Thread 26316.0x3f8c]
[New Thread 26316.0x67fc]
[New Thread 26316.0x90c]
[New Thread 26316.0x617c]
[New Thread 26316.0x4294]
[New Thread 26316.0x13e8]
[New Thread 26316.0x4028]
[New Thread 26316.0x6554]
[New Thread 26316.0x5fe8]
[New Thread 26316.0x5bac]
[New Thread 26316.0x689c]
[New Thread 26316.0x3b48]
[New Thread 26316.0x1478]
[New Thread 26316.0x1ff0]
[New Thread 26316.0x5920]
[New Thread 26316.0x21c4]
[New Thread 26316.0x5d2c]
[New Thread 26316.0xda0]
warning: reader_thread.SetEvent failed with 6 for fd 4
warning: reader_thread.SetEvent failed with 6 for fd 6
[New Thread 26316.0x844]
[New Thread 26316.0x4378]
[New Thread 26316.0x497c]
[New Thread 26316.0x2334]
[New Thread 26316.0x5b0]
[New Thread 26316.0x3638]
[New Thread 26316.0x2a8]
[New Thread 26316.0x24d0]
[New Thread 26316.0x4c70]
[New Thread 26316.0x6298]
[New Thread 26316.0x5450]
[New Thread 26316.0x16ac]
[New Thread 26316.0x1900]
[New Thread 26316.0x22a4]
[New Thread 26316.0x5ab0]
[New Thread 26316.0x6a34]
[New Thread 26316.0x4054]
[New Thread 26316.0x6904]
[New Thread 26316.0x99c]
[New Thread 26316.0x2b60]
[New Thread 26316.0x2790]
[New Thread 26316.0x1fcc]
[New Thread 26316.0xdd8]
[New Thread 26316.0x6248]
[New Thread 26316.0x5d30]
[New Thread 26316.0x4a30]
[New Thread 26316.0x5cc8]
[New Thread 26316.0x163c]
[New Thread 26316.0x2784]
[New Thread 26316.0x39e8]
[New Thread 26316.0x26f0]
[New Thread 26316.0x29a0]
[New Thread 26316.0x290c]
[New Thread 26316.0x1978]

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 26316.0x1978]
0x77af2fac in ntdll!RtlVerifyVersionInfo ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
(gdb) p fd_info[1]@64
$35 = {{flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 1559, hnd = 0x2a8,
    cp = 0x1680c60}, {flags = 0, hnd = 0x560, cp = 0x0}, {flags = 1555,
    hnd = 0x468, cp = 0x1680d10}, {flags = 0, hnd = 0x4b8, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0} <repeats 53 times>}
(gdb) p child_procs[1]@32
$36 = {{fd = 3, pid = -1, char_avail = 0x2b0, char_consumed = 0x2b4,
    thrd = 0x2b8, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
      dwProcessId = 0, dwThreadId = 0}, status = 2, chr = 0 '\000',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 6, pid = -1, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x0,
      hThread = 0x0, dwProcessId = 0, dwThreadId = 0}, status = -1,
    chr = 21 '\025', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 5, pid = -1, char_avail = 0x2f0,
    char_consumed = 0x320, thrd = 0x364, hwnd = 0x0, procinfo = {
      hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId = 0},
    status = 1, chr = 23 '\027', ovl_read = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0},
    ovl_write = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {fd = -1,
    pid = 20604, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
      dwProcessId = 20604, dwThreadId = 932}, status = -1, chr = 0 '\000',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
---Type <return> to continue, or q <return> to quit---
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 16560, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xad089c, procinfo = {
      hProcess = 0x2d4, hThread = 0x590, dwProcessId = 16560,
      dwThreadId = 19600}, status = 3, chr = 67 'C', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 28604, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x590b08, procinfo = {hProcess = 0x548, hThread = 0x324,
      dwProcessId = 28604, dwThreadId = 5620}, status = -1, chr = 115 's',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 920, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5a0b08, procinfo = {
      hProcess = 0x514, hThread = 0x4c8, dwProcessId = 920,
      dwThreadId = 17864}, status = -1, chr = 114 'r', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 3192, char_avail = 0x0,
---Type <return> to continue, or q <return> to quit---
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5b0b08, procinfo = {
      hProcess = 0x564, hThread = 0x574, dwProcessId = 3192,
      dwThreadId = 16276}, status = 3, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 17568, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x4f0604, procinfo = {hProcess = 0x6b8, hThread = 0x570,
      dwProcessId = 17568, dwThreadId = 16756}, status = -1, chr = 68 'D',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 25984, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x500604, procinfo = {
      hProcess = 0x77c, hThread = 0x6d8, dwProcessId = 25984,
      dwThreadId = 4420}, status = -1, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 18904, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x510604, procinfo = {hProcess = 0x654, hThread = 0x538,
      dwProcessId = 18904, dwThreadId = 17596}, status = -1, chr = 68 'D',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
---Type <return> to continue, or q <return> to quit---
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 13440, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x520604, procinfo = {
      hProcess = 0x6ec, hThread = 0x5fc, dwProcessId = 13440,
      dwThreadId = 24428}, status = 3, chr = 46 '.', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 1968, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x7fc, hThread = 0x710,
      dwProcessId = 1968, dwThreadId = 23708}, status = 2, chr = 68 'D',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 7260, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x74c,
      hThread = 0x6b4, dwProcessId = 7260, dwThreadId = 19452}, status = -1,
    chr = 68 'D', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 7, pid = 9796, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x3e06cc, procinfo = {
---Type <return> to continue, or q <return> to quit---
      hProcess = 0x53c, hThread = 0x370, dwProcessId = 9796,
      dwThreadId = 7612}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 7040, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x3f06cc, procinfo = {
      hProcess = 0x7a8, hThread = 0x49c, dwProcessId = 7040,
      dwThreadId = 13952}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 11380, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xe708f4, procinfo = {
      hProcess = 0x5d4, hThread = 0x594, dwProcessId = 11380,
      dwThreadId = 24484}, status = -1, chr = 67 'C', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 25504, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xe808f4, procinfo = {
      hProcess = 0x3e4, hThread = 0x7dc, dwProcessId = 25504,
      dwThreadId = 8504}, status = 3, chr = 55 '7', ovl_read = {Internal = 0,
---Type <return> to continue, or q <return> to quit---
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 27128, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x7e0, hThread = 0x740,
      dwProcessId = 27128, dwThreadId = 27896}, status = -1, chr = 115 's',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = -1, pid = 18536, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x0,
      hThread = 0x0, dwProcessId = 18536, dwThreadId = 24196}, status = -1,
    chr = 0 '\000', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 0, pid = 0, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x0,
      hThread = 0x0, dwProcessId = 0, dwThreadId = 0}, status = 0,
    chr = 0 '\000', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}} <repeats 12 times>}
(gdb) continue
Continuing.
[New Thread 26316.0x678c]
[New Thread 26316.0x2b24]
[New Thread 26316.0x4338]
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x4448]
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x92c]
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x6424]
[Switching to Thread 26316.0xfc4]

Breakpoint 3, sys_kill (pid=7672, sig=9) at w32proc.c:2247
2247    in w32proc.c
#0  sys_kill (pid=7672, sig=9) at w32proc.c:2247
#1  0x0102e22d in process_send_signal (process=113893445, signo=9,
    current_group=57350170, nomsg=0) at process.c:5948
#2  0x0102e28b in Fkill_process (process=113893445, current_group=57350170)
    at process.c:5975
#3  0x01023231 in Fdelete_process (process=113893445) at process.c:845
#4  0x0101318f in eval_sub (form=100522366) at eval.c:2140
$37 = (child_process *) 0x1681340
(gdb) There is no member named wnd.

Continuing.
warning: sys_kill.TerminateProcess returned 5 for pid 7672
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x4644]

Breakpoint 3, sys_kill (pid=12828, sig=9) at w32proc.c:2247
2247    in w32proc.c
#0  sys_kill (pid=12828, sig=9) at w32proc.c:2247
#1  0x0102e22d in process_send_signal (process=107148965, signo=9,
    current_group=57350170, nomsg=0) at process.c:5948
#2  0x0102e28b in Fkill_process (process=107148965, current_group=57350170)
    at process.c:5975
#3  0x01023231 in Fdelete_process (process=107148965) at process.c:845
#4  0x0101318f in eval_sub (form=100522366) at eval.c:2140
$38 = (child_process *) 0x1681398
(gdb) There is no member named wnd.

Continuing.
warning: sys_kill.TerminateProcess returned 5 for pid 12828
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x405c]

[New Thread 26316.0x3444]

Breakpoint 3, sys_kill (pid=26048, sig=9) at w32proc.c:2247
2247    in w32proc.c
#0  sys_kill (pid=26048, sig=9) at w32proc.c:2247
#1  0x0102e22d in process_send_signal (process=100895429, signo=9,
    current_group=57350170, nomsg=0) at process.c:5948
#2  0x0102e28b in Fkill_process (process=100895429, current_group=57350170)
    at process.c:5975
#3  0x01023231 in Fdelete_process (process=100895429) at process.c:845
#4  0x0101318f in eval_sub (form=100522366) at eval.c:2140
$39 = (child_process *) 0x16813f0
(gdb) There is no member named wnd.

Continuing.
warning: sys_kill.TerminateProcess returned 5 for pid 26048
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x18a4]
[New Thread 26316.0x3fe4]
[New Thread 26316.0x2ca8]
[New Thread 26316.0x69ec]
[New Thread 26316.0x1cb4]

Breakpoint 2, sys_read (fd=4, buffer=0x6f7a034 "", count=5) at w32.c:6410
6410    w32.c: No such file or directory.
#0  sys_read (fd=4, buffer=0x6f7a034 "", count=5) at w32.c:6410
#1  0x01091825 in emacs_gnutls_pull (p=0x692fe70, buf=0x6f7a034, sz=5)
    at w32.c:7204
#2  0x7021725d in _gnutls_stream_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
#3  0x7021756d in _gnutls_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
$40 = 4
$41 = {flags = 1555, hnd = 0x76c, cp = 0x1681448}
$42 = {fd = 4, pid = -1, char_avail = 0x720, char_consumed = 0x600,
  thrd = 0x75c, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
    dwProcessId = 0, dwThreadId = 0}, status = 1, chr = 51 '3', ovl_read = {
    Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
      Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
    InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
    hEvent = 0x0}}
warning: sys_read called when read is in progress
[New Thread 26316.0x4d28]
[New Thread 26316.0x5b8c]

Breakpoint 2, sys_read (fd=6, buffer=0x7334034 "", count=5) at w32.c:6410
6410    in w32.c
#0  sys_read (fd=6, buffer=0x7334034 "", count=5) at w32.c:6410
---Type <return> to continue, or q <return> to quit---
#1  0x01091825 in emacs_gnutls_pull (p=0x69d2a30, buf=0x7334034, sz=5)
    at w32.c:7204
#2  0x7021725d in _gnutls_stream_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
#3  0x7021756d in _gnutls_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
$43 = 6
$44 = {flags = 1555, hnd = 0x5ec, cp = 0x16814a0}
$45 = {fd = 6, pid = -1, char_avail = 0x61c, char_consumed = 0x630,
  thrd = 0x57c, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
    dwProcessId = 0, dwThreadId = 0}, status = 1, chr = 22 '\026', ovl_read = {
    Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
      Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
    InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
    hEvent = 0x0}}
warning: sys_read called when read is in progress
[New Thread 26316.0x2538]
[New Thread 26316.0x4520]
[New Thread 26316.0x53cc]

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 26316.0x53cc]
0x77af2fac in ntdll!RtlVerifyVersionInfo ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
(gdb) p fd_info[1]@64
$46 = {{flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 1559, hnd = 0x2a8,
    cp = 0x1680c60}, {flags = 1555, hnd = 0x76c, cp = 0x1681448}, {
    flags = 1555, hnd = 0x468, cp = 0x1680d10}, {flags = 1555, hnd = 0x5ec,
    cp = 0x16814a0}, {flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0,
    cp = 0x0}, {flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0,
    cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0} <repeats 53 times>}
(gdb) p child_procs[1]@32
$47 = {{fd = 3, pid = -1, char_avail = 0x2b0, char_consumed = 0x2b4,
    thrd = 0x2b8, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
      dwProcessId = 0, dwThreadId = 0}, status = 2, chr = 0 '\000',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 19048, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x750582, procinfo = {
      hProcess = 0x748, hThread = 0x354, dwProcessId = 19048,
      dwThreadId = 11920}, status = -1, chr = 68 'D', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 5, pid = -1, char_avail = 0x2f0,
    char_consumed = 0x320, thrd = 0x364, hwnd = 0x0, procinfo = {
      hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId = 0},
    status = 1, chr = 23 '\027', ovl_read = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0},
    ovl_write = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {fd = 4,
    pid = 26412, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x740582, procinfo = {hProcess = 0x7c4, hThread = 0x1f4,
      dwProcessId = 26412, dwThreadId = 5428}, status = 3, chr = 54 '6',
---Type <return> to continue, or q <return> to quit---
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 16560, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xad089c, procinfo = {
      hProcess = 0x2d4, hThread = 0x590, dwProcessId = 16560,
      dwThreadId = 19600}, status = 3, chr = 67 'C', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 28604, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x590b08, procinfo = {hProcess = 0x548, hThread = 0x324,
      dwProcessId = 28604, dwThreadId = 5620}, status = -1, chr = 115 's',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 920, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5a0b08, procinfo = {
      hProcess = 0x514, hThread = 0x4c8, dwProcessId = 920,
      dwThreadId = 17864}, status = -1, chr = 114 'r', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
---Type <return> to continue, or q <return> to quit---
      hEvent = 0x0}}, {fd = 7, pid = 3192, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5b0b08, procinfo = {
      hProcess = 0x564, hThread = 0x574, dwProcessId = 3192,
      dwThreadId = 16276}, status = 3, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 17568, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x4f0604, procinfo = {hProcess = 0x6b8, hThread = 0x570,
      dwProcessId = 17568, dwThreadId = 16756}, status = -1, chr = 68 'D',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 25984, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x500604, procinfo = {
      hProcess = 0x77c, hThread = 0x6d8, dwProcessId = 25984,
      dwThreadId = 4420}, status = -1, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 18904, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x510604, procinfo = {hProcess = 0x654, hThread = 0x538,
      dwProcessId = 18904, dwThreadId = 17596}, status = -1, chr = 68 'D',
---Type <return> to continue, or q <return> to quit---
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 13440, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x520604, procinfo = {
      hProcess = 0x6ec, hThread = 0x5fc, dwProcessId = 13440,
      dwThreadId = 24428}, status = 3, chr = 46 '.', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 1968, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x7fc, hThread = 0x710,
      dwProcessId = 1968, dwThreadId = 23708}, status = 2, chr = 68 'D',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 7260, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x74c,
      hThread = 0x6b4, dwProcessId = 7260, dwThreadId = 19452}, status = -1,
    chr = 68 'D', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 7, pid = 9796, char_avail = 0x0,
---Type <return> to continue, or q <return> to quit---
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x3e06cc, procinfo = {
      hProcess = 0x53c, hThread = 0x370, dwProcessId = 9796,
      dwThreadId = 7612}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 7040, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x3f06cc, procinfo = {
      hProcess = 0x7a8, hThread = 0x49c, dwProcessId = 7040,
      dwThreadId = 13952}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 11380, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xe708f4, procinfo = {
      hProcess = 0x5d4, hThread = 0x594, dwProcessId = 11380,
      dwThreadId = 24484}, status = -1, chr = 67 'C', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 25504, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xe808f4, procinfo = {
      hProcess = 0x3e4, hThread = 0x7dc, dwProcessId = 25504,
---Type <return> to continue, or q <return> to quit---
      dwThreadId = 8504}, status = 3, chr = 55 '7', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 27128, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x7e0, hThread = 0x740,
      dwProcessId = 27128, dwThreadId = 27896}, status = -1, chr = 115 's',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 24384, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x760582, procinfo = {
      hProcess = 0x6bc, hThread = 0x6d0, dwProcessId = 24384,
      dwThreadId = 28584}, status = 3, chr = 58 ':', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 4, pid = 7672, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x718, hThread = 0x6fc,
      dwProcessId = 7672, dwThreadId = 14964}, status = -1, chr = 46 '.',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
---Type <return> to continue, or q <return> to quit---
      hEvent = 0x0}}, {fd = 4, pid = 12828, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x470,
      hThread = 0x6e8, dwProcessId = 12828, dwThreadId = 17024}, status = -1,
    chr = 68 'D', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 4, pid = 26048,
    char_avail = 0x0, char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {
      hProcess = 0x464, hThread = 0x530, dwProcessId = 26048,
      dwThreadId = 27808}, status = 3, chr = 115 's', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = -1, char_avail = 0x720,
    char_consumed = 0x600, thrd = 0x75c, hwnd = 0x0, procinfo = {
      hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId = 0},
    status = 1, chr = 23 '\027', ovl_read = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0},
    ovl_write = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {fd = 6, pid = -1,
    char_avail = 0x61c, char_consumed = 0x630, thrd = 0x57c, hwnd = 0x0,
    procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 1, chr = 23 '\027', ovl_read = {Internal = 0,
---Type <return> to continue, or q <return> to quit---
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 0, pid = 0, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 0, chr = 0 '\000', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 0, pid = 0, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 0, chr = 0 '\000', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 0, pid = 0, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 0, chr = 0 '\000', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 0, pid = 0, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
---Type <return> to continue, or q <return> to quit---
      dwThreadId = 0}, status = 0, chr = 0 '\000', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 0, pid = 0, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 0, chr = 0 '\000', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 0, pid = 0, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 0, chr = 0 '\000', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 0, pid = 0, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 0, chr = 0 '\000', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}}
(gdb) continue
Continuing.
[New Thread 26316.0x2dd0]
warning: reader_thread.SetEvent failed with 6 for fd 6
[New Thread 26316.0x28fc]
[New Thread 26316.0x2bc4]
[New Thread 26316.0x4c60]
[New Thread 26316.0x13c]
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x240c]
[New Thread 26316.0x3844]
[Switching to Thread 26316.0xfc4]

Breakpoint 2, sys_read (fd=4, buffer=0x74eb034 "", count=5) at w32.c:6410
6410    in w32.c
#0  sys_read (fd=4, buffer=0x74eb034 "", count=5) at w32.c:6410
#1  0x01091825 in emacs_gnutls_pull (p=0x6083910, buf=0x74eb034, sz=5)
    at w32.c:7204
#2  0x7021725d in _gnutls_stream_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
#3  0x7021756d in _gnutls_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
$48 = 4
$49 = {flags = 1555, hnd = 0x610, cp = 0x1681448}
$50 = {fd = 4, pid = -1, char_avail = 0x7d4, char_consumed = 0x618,
  thrd = 0x640, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
    dwProcessId = 0, dwThreadId = 0}, status = 1, chr = 51 '3', ovl_read = {
    Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
      Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
    InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
    hEvent = 0x0}}
warning: sys_read called when read is in progress
[New Thread 26316.0xa58]

Breakpoint 2, sys_read (fd=6, buffer=0x78a7034 "", count=5) at w32.c:6410
---Type <return> to continue, or q <return> to quit---
6410    in w32.c
#0  sys_read (fd=6, buffer=0x78a7034 "", count=5) at w32.c:6410
#1  0x01091825 in emacs_gnutls_pull (p=0x64d73e0, buf=0x78a7034, sz=5)
    at w32.c:7204
#2  0x7021725d in _gnutls_stream_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
#3  0x7021756d in _gnutls_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
$51 = 6
$52 = {flags = 1555, hnd = 0x758, cp = 0x16814a0}
$53 = {fd = 6, pid = -1, char_avail = 0x3d4, char_consumed = 0x624,
  thrd = 0x5f4, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
    dwProcessId = 0, dwThreadId = 0}, status = 1, chr = 22 '\026', ovl_read = {
    Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
      Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
    InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
    hEvent = 0x0}}
warning: [New Thread 26316.0x5364]
sys_read called when read is in progress
[New Thread 26316.0x3c5c]
[New Thread 26316.0x627c]
[New Thread 26316.0x3390]
[New Thread 26316.0x6260]
[New Thread 26316.0x484c]
[New Thread 26316.0x53b4]
[New Thread 26316.0x6b4c]
[New Thread 26316.0x2498]
[New Thread 26316.0xbec]
[New Thread 26316.0x18e0]
[New Thread 26316.0x2bd8]
[New Thread 26316.0x5f04]
[New Thread 26316.0x216c]
[New Thread 26316.0x1c64]
[New Thread 26316.0x65b4]
[New Thread 26316.0x10f0]
[New Thread 26316.0x285c]
[New Thread 26316.0x60f8]
[New Thread 26316.0x6dcc]
[New Thread 26316.0x15e8]
[New Thread 26316.0x21a0]
[New Thread 26316.0x470c]
[New Thread 26316.0x4670]
[New Thread 26316.0x6448]
[New Thread 26316.0x1160]
[New Thread 26316.0x4cd8]
[New Thread 26316.0x704]
[New Thread 26316.0x32c]
[New Thread 26316.0x352c]
[New Thread 26316.0x1070]
[New Thread 26316.0x3850]
[New Thread 26316.0x3524]
[New Thread 26316.0x1eec]
[New Thread 26316.0x3510]
[New Thread 26316.0x61a8]
[New Thread 26316.0x471c]
[New Thread 26316.0x56e8]
[New Thread 26316.0x6a3c]
[New Thread 26316.0x4f4c]
[New Thread 26316.0x6a1c]
[New Thread 26316.0x24f8]
[New Thread 26316.0x6140]
[New Thread 26316.0xa9c]
[New Thread 26316.0x6700]
[New Thread 26316.0x5c08]
[New Thread 26316.0x2e4]
[New Thread 26316.0x6cb8]
[New Thread 26316.0x1a8c]
[New Thread 26316.0x48e0]
[New Thread 26316.0x348c]
[New Thread 26316.0x3408]
[New Thread 26316.0x68b4]
[New Thread 26316.0x4770]
[New Thread 26316.0x17d4]
[New Thread 26316.0x4340]
[New Thread 26316.0x527c]
[New Thread 26316.0x6f78]
[New Thread 26316.0x4ce8]
[New Thread 26316.0x5494]
[New Thread 26316.0x16dc]
[New Thread 26316.0x1f58]
[New Thread 26316.0x44f0]
[New Thread 26316.0x4184]
[New Thread 26316.0x5370]
[New Thread 26316.0x690c]
[New Thread 26316.0x6ea4]
[New Thread 26316.0x26dc]
[New Thread 26316.0x14b8]
[New Thread 26316.0x1ac4]
[New Thread 26316.0x4c2c]
[New Thread 26316.0x6024]
[New Thread 26316.0x482c]
[New Thread 26316.0x20c]
[New Thread 26316.0x1cc4]
[New Thread 26316.0x61ac]
[New Thread 26316.0x3500]
[New Thread 26316.0x6b18]
[New Thread 26316.0x5f18]
[New Thread 26316.0x2fc0]
[New Thread 26316.0x3734]
[New Thread 26316.0x300c]
[New Thread 26316.0x5104]
[New Thread 26316.0x1fc4]
[New Thread 26316.0x103c]
[New Thread 26316.0x3544]
[New Thread 26316.0x3d00]
[New Thread 26316.0xaf8]
[New Thread 26316.0x1e8c]
[New Thread 26316.0x4c4]
[New Thread 26316.0x2448]
[New Thread 26316.0x2930]
[New Thread 26316.0x24b8]
[New Thread 26316.0x5a48]
[New Thread 26316.0x3224]
[New Thread 26316.0x6c90]
[New Thread 26316.0x43bc]
[New Thread 26316.0x1838]
[New Thread 26316.0x2ae4]
[New Thread 26316.0x6bb0]
[New Thread 26316.0x428c]
[New Thread 26316.0x29d4]
[New Thread 26316.0x1910]
[New Thread 26316.0xc7c]
[New Thread 26316.0x2b84]
[New Thread 26316.0x4018]
[New Thread 26316.0x3338]
[New Thread 26316.0x601c]
[New Thread 26316.0x1968]
[New Thread 26316.0x2054]
[New Thread 26316.0x3440]
[New Thread 26316.0x3824]
[New Thread 26316.0x36d8]
[New Thread 26316.0x3128]
[New Thread 26316.0x4d10]
[New Thread 26316.0x10bc]
[New Thread 26316.0x551c]
[New Thread 26316.0x3d68]
[New Thread 26316.0x4108]
[New Thread 26316.0x47c4]
[New Thread 26316.0x3618]
[New Thread 26316.0x6cb0]
[New Thread 26316.0x5224]
[New Thread 26316.0x2c98]
[New Thread 26316.0x5760]
[New Thread 26316.0x4074]
[New Thread 26316.0x25a0]
[New Thread 26316.0x2700]
[New Thread 26316.0x1d4c]
[New Thread 26316.0x5290]
[New Thread 26316.0x21bc]
[New Thread 26316.0x53e8]
[New Thread 26316.0x30b4]
[New Thread 26316.0x44c4]
[New Thread 26316.0x2848]
[New Thread 26316.0x6564]
[New Thread 26316.0x480c]
[New Thread 26316.0x4ca4]
[New Thread 26316.0x1658]
[New Thread 26316.0x6344]
[New Thread 26316.0x4d74]
[New Thread 26316.0x1e8]
[New Thread 26316.0xf94]
[New Thread 26316.0x64bc]
[New Thread 26316.0x5da4]
[New Thread 26316.0x3d8c]
[New Thread 26316.0x4f8c]
warning: reader_thread.SetEvent failed with 6 for fd 7
[New Thread 26316.0x1270]
[New Thread 26316.0x1d3c]
[New Thread 26316.0x4ecc]
[New Thread 26316.0x44c0]
[New Thread 26316.0x5fdc]
[New Thread 26316.0xfc0]
[New Thread 26316.0x31cc]
[New Thread 26316.0x2cf8]

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 26316.0x2cf8]
0x77af2fac in ntdll!RtlVerifyVersionInfo ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
(gdb) p fd_info[1]@64
$54 = {{flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 1559, hnd = 0x2a8,
    cp = 0x1680c60}, {flags = 1555, hnd = 0x610, cp = 0x1681448}, {
    flags = 1555, hnd = 0x468, cp = 0x1680d10}, {flags = 1555, hnd = 0x758,
    cp = 0x16814a0}, {flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0,
    cp = 0x0}, {flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0,
    cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0} <repeats 53 times>}
(gdb) p child_procs[1]@32
$55 = {{fd = 3, pid = -1, char_avail = 0x2b0, char_consumed = 0x2b4,
    thrd = 0x2b8, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
      dwProcessId = 0, dwThreadId = 0}, status = 2, chr = 0 '\000',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 19048, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x750582, procinfo = {
      hProcess = 0x748, hThread = 0x354, dwProcessId = 19048,
      dwThreadId = 11920}, status = -1, chr = 68 'D', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 5, pid = -1, char_avail = 0x2f0,
    char_consumed = 0x320, thrd = 0x364, hwnd = 0x0, procinfo = {
      hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId = 0},
    status = 1, chr = 23 '\027', ovl_read = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0},
    ovl_write = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {fd = 4,
    pid = 26412, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x740582, procinfo = {hProcess = 0x7c4, hThread = 0x1f4,
      dwProcessId = 26412, dwThreadId = 5428}, status = 3, chr = 54 '6',
---Type <return> to continue, or q <return> to quit---
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 16560, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xad089c, procinfo = {
      hProcess = 0x2d4, hThread = 0x590, dwProcessId = 16560,
      dwThreadId = 19600}, status = 3, chr = 67 'C', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 28604, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x590b08, procinfo = {hProcess = 0x548, hThread = 0x324,
      dwProcessId = 28604, dwThreadId = 5620}, status = -1, chr = 115 's',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 920, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5a0b08, procinfo = {
      hProcess = 0x514, hThread = 0x4c8, dwProcessId = 920,
      dwThreadId = 17864}, status = -1, chr = 114 'r', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
---Type <return> to continue, or q <return> to quit---
      hEvent = 0x0}}, {fd = 7, pid = 3192, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5b0b08, procinfo = {
      hProcess = 0x564, hThread = 0x574, dwProcessId = 3192,
      dwThreadId = 16276}, status = 3, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 17568, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x4f0604, procinfo = {hProcess = 0x6b8, hThread = 0x570,
      dwProcessId = 17568, dwThreadId = 16756}, status = -1, chr = 68 'D',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 25984, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x500604, procinfo = {
      hProcess = 0x77c, hThread = 0x6d8, dwProcessId = 25984,
      dwThreadId = 4420}, status = -1, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 18904, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x510604, procinfo = {hProcess = 0x654, hThread = 0x538,
      dwProcessId = 18904, dwThreadId = 17596}, status = -1, chr = 68 'D',
---Type <return> to continue, or q <return> to quit---
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 13440, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x520604, procinfo = {
      hProcess = 0x6ec, hThread = 0x5fc, dwProcessId = 13440,
      dwThreadId = 24428}, status = 3, chr = 46 '.', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 1968, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x7fc, hThread = 0x710,
      dwProcessId = 1968, dwThreadId = 23708}, status = 2, chr = 68 'D',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 7260, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x74c,
      hThread = 0x6b4, dwProcessId = 7260, dwThreadId = 19452}, status = -1,
    chr = 68 'D', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 7, pid = 9796, char_avail = 0x0,
---Type <return> to continue, or q <return> to quit---
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x3e06cc, procinfo = {
      hProcess = 0x53c, hThread = 0x370, dwProcessId = 9796,
      dwThreadId = 7612}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 7040, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x3f06cc, procinfo = {
      hProcess = 0x7a8, hThread = 0x49c, dwProcessId = 7040,
      dwThreadId = 13952}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 11380, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xe708f4, procinfo = {
      hProcess = 0x5d4, hThread = 0x594, dwProcessId = 11380,
      dwThreadId = 24484}, status = -1, chr = 67 'C', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 25504, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xe808f4, procinfo = {
      hProcess = 0x3e4, hThread = 0x7dc, dwProcessId = 25504,
---Type <return> to continue, or q <return> to quit---
      dwThreadId = 8504}, status = 3, chr = 55 '7', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 27128, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x7e0, hThread = 0x740,
      dwProcessId = 27128, dwThreadId = 27896}, status = -1, chr = 115 's',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 24384, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x760582, procinfo = {
      hProcess = 0x6bc, hThread = 0x6d0, dwProcessId = 24384,
      dwThreadId = 28584}, status = 3, chr = 58 ':', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 4, pid = 7672, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x718, hThread = 0x6fc,
      dwProcessId = 7672, dwThreadId = 14964}, status = -1, chr = 46 '.',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
---Type <return> to continue, or q <return> to quit---
      hEvent = 0x0}}, {fd = 4, pid = 12828, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x470,
      hThread = 0x6e8, dwProcessId = 12828, dwThreadId = 17024}, status = -1,
    chr = 68 'D', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 4, pid = 26048,
    char_avail = 0x0, char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {
      hProcess = 0x464, hThread = 0x530, dwProcessId = 26048,
      dwThreadId = 27808}, status = 3, chr = 115 's', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = -1, char_avail = 0x7d4,
    char_consumed = 0x618, thrd = 0x640, hwnd = 0x0, procinfo = {
      hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId = 0},
    status = 1, chr = 23 '\027', ovl_read = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0},
    ovl_write = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {fd = 6, pid = -1,
    char_avail = 0x3d4, char_consumed = 0x624, thrd = 0x5f4, hwnd = 0x0,
    procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 1, chr = 23 '\027', ovl_read = {Internal = 0,
---Type <return> to continue, or q <return> to quit---
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 3660, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0xba0c34, procinfo = {hProcess = 0x504, hThread = 0x4b8,
      dwProcessId = 3660, dwThreadId = 9932}, status = -1, chr = 92 '\\',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = -1, pid = 8712, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x0,
      hThread = 0x0, dwProcessId = 8712, dwThreadId = 16832}, status = -1,
    chr = 0 '\000', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 0, pid = 0, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x0,
      hThread = 0x0, dwProcessId = 0, dwThreadId = 0}, status = 0,
    chr = 0 '\000', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 0, pid = 0, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x0,
---Type <return> to continue, or q <return> to quit---
      hThread = 0x0, dwProcessId = 0, dwThreadId = 0}, status = 0,
    chr = 0 '\000', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 0, pid = 0, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x0,
      hThread = 0x0, dwProcessId = 0, dwThreadId = 0}, status = 0,
    chr = 0 '\000', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 0, pid = 0, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x0,
      hThread = 0x0, dwProcessId = 0, dwThreadId = 0}, status = 0,
    chr = 0 '\000', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 0, pid = 0, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x0,
      hThread = 0x0, dwProcessId = 0, dwThreadId = 0}, status = 0,
    chr = 0 '\000', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}}
(gdb) continue
Continuing.
[New Thread 26316.0x4028]
[New Thread 26316.0x6554]
[New Thread 26316.0x54f0]
[New Thread 26316.0x5e84]
[New Thread 26316.0x23e0]
[New Thread 26316.0x4a40]
[New Thread 26316.0x6d80]
[New Thread 26316.0x17f4]
[New Thread 26316.0x4dc]
[New Thread 26316.0xa14]
[New Thread 26316.0xe60]
[New Thread 26316.0x2220]
[New Thread 26316.0x5d94]
warning: reader_thread.SetEvent failed with 6 for fd 4
warning: reader_thread.SetEvent failed with 6 for fd 6
[New Thread 26316.0x6334]
[New Thread 26316.0x74c]
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x4ca8]
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x13ac]
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x4630]
[Switching to Thread 26316.0xfc4]

Breakpoint 3, sys_kill (pid=6112, sig=9) at w32proc.c:2247
2247    w32proc.c: No such file or directory.
#0  sys_kill (pid=6112, sig=9) at w32proc.c:2247
#1  0x0102e22d in process_send_signal (process=123933381, signo=9,
    current_group=57350170, nomsg=0) at process.c:5948
#2  0x0102e28b in Fkill_process (process=123933381, current_group=57350170)
    at process.c:5975
#3  0x01023231 in Fdelete_process (process=123933381) at process.c:845
#4  0x0101318f in eval_sub (form=100522366) at eval.c:2140
$56 = (child_process *) 0x16815a8
(gdb) There is no member named wnd.
continp fd_info[0]@64
$57 = {{flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 1559, hnd = 0x2a8,
    cp = 0x1680c60}, {flags = 401, hnd = 0x610, cp = 0x16815a8}, {
    flags = 1555, hnd = 0x468, cp = 0x1680d10}, {flags = 0, hnd = 0x758,
    cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0,
    cp = 0x0}, {flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0,
    cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0,
    cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0} <repeats 51 times>}
(gdb) p child_procs[1]@32
$58 = {{fd = 3, pid = -1, char_avail = 0x2b0, char_consumed = 0x2b4,
    thrd = 0x2b8, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
      dwProcessId = 0, dwThreadId = 0}, status = 2, chr = 0 '\000',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 19048, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x750582, procinfo = {
      hProcess = 0x748, hThread = 0x354, dwProcessId = 19048,
      dwThreadId = 11920}, status = -1, chr = 68 'D', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 5, pid = -1, char_avail = 0x2f0,
    char_consumed = 0x320, thrd = 0x364, hwnd = 0x0, procinfo = {
      hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId = 0},
    status = 1, chr = 23 '\027', ovl_read = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0},
    ovl_write = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {fd = 4,
    pid = 26412, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x740582, procinfo = {hProcess = 0x7c4, hThread = 0x1f4,
      dwProcessId = 26412, dwThreadId = 5428}, status = 3, chr = 54 '6',
---Type <return> to continue, or q <return> to quit---
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 16560, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xad089c, procinfo = {
      hProcess = 0x2d4, hThread = 0x590, dwProcessId = 16560,
      dwThreadId = 19600}, status = 3, chr = 67 'C', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 28604, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x590b08, procinfo = {hProcess = 0x548, hThread = 0x324,
      dwProcessId = 28604, dwThreadId = 5620}, status = -1, chr = 115 's',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 920, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5a0b08, procinfo = {
      hProcess = 0x514, hThread = 0x4c8, dwProcessId = 920,
      dwThreadId = 17864}, status = -1, chr = 114 'r', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
---Type <return> to continue, or q <return> to quit---
      hEvent = 0x0}}, {fd = 7, pid = 3192, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5b0b08, procinfo = {
      hProcess = 0x564, hThread = 0x574, dwProcessId = 3192,
      dwThreadId = 16276}, status = 3, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 17568, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x4f0604, procinfo = {hProcess = 0x6b8, hThread = 0x570,
      dwProcessId = 17568, dwThreadId = 16756}, status = -1, chr = 68 'D',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 25984, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x500604, procinfo = {
      hProcess = 0x77c, hThread = 0x6d8, dwProcessId = 25984,
      dwThreadId = 4420}, status = -1, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 18904, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x510604, procinfo = {hProcess = 0x654, hThread = 0x538,
      dwProcessId = 18904, dwThreadId = 17596}, status = -1, chr = 68 'D',
---Type <return> to continue, or q <return> to quit---
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 13440, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x520604, procinfo = {
      hProcess = 0x6ec, hThread = 0x5fc, dwProcessId = 13440,
      dwThreadId = 24428}, status = 3, chr = 46 '.', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 1968, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x7fc, hThread = 0x710,
      dwProcessId = 1968, dwThreadId = 23708}, status = 2, chr = 68 'D',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 7260, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x74c,
      hThread = 0x6b4, dwProcessId = 7260, dwThreadId = 19452}, status = -1,
    chr = 68 'D', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 7, pid = 9796, char_avail = 0x0,
---Type <return> to continue, or q <return> to quit---
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x3e06cc, procinfo = {
      hProcess = 0x53c, hThread = 0x370, dwProcessId = 9796,
      dwThreadId = 7612}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 7040, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x3f06cc, procinfo = {
      hProcess = 0x7a8, hThread = 0x49c, dwProcessId = 7040,
      dwThreadId = 13952}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 11380, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xe708f4, procinfo = {
      hProcess = 0x5d4, hThread = 0x594, dwProcessId = 11380,
      dwThreadId = 24484}, status = -1, chr = 67 'C', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 25504, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xe808f4, procinfo = {
      hProcess = 0x3e4, hThread = 0x7dc, dwProcessId = 25504,
---Type <return> to continue, or q <return> to quit---
      dwThreadId = 8504}, status = 3, chr = 55 '7', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 27128, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x7e0, hThread = 0x740,
      dwProcessId = 27128, dwThreadId = 27896}, status = -1, chr = 115 's',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 24384, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x760582, procinfo = {
      hProcess = 0x6bc, hThread = 0x6d0, dwProcessId = 24384,
      dwThreadId = 28584}, status = 3, chr = 58 ':', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 4, pid = 7672, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x718, hThread = 0x6fc,
      dwProcessId = 7672, dwThreadId = 14964}, status = -1, chr = 46 '.',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
---Type <return> to continue, or q <return> to quit---
      hEvent = 0x0}}, {fd = 4, pid = 12828, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x470,
      hThread = 0x6e8, dwProcessId = 12828, dwThreadId = 17024}, status = -1,
    chr = 68 'D', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 4, pid = 26048,
    char_avail = 0x0, char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {
      hProcess = 0x464, hThread = 0x530, dwProcessId = 26048,
      dwThreadId = 27808}, status = 3, chr = 115 's', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 24868, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5f067c, procinfo = {
      hProcess = 0x4ec, hThread = 0x650, dwProcessId = 24868,
      dwThreadId = 17196}, status = -1, chr = 68 'D', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 15764, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5e067c, procinfo = {
      hProcess = 0x6ac, hThread = 0x724, dwProcessId = 15764,
---Type <return> to continue, or q <return> to quit---
      dwThreadId = 12564}, status = -1, chr = 68 'D', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 3660, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xba0c34, procinfo = {
      hProcess = 0x504, hThread = 0x4b8, dwProcessId = 3660,
      dwThreadId = 9932}, status = -1, chr = 92 '\\', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 22816, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x60067c, procinfo = {
      hProcess = 0x310, hThread = 0x6c4, dwProcessId = 22816,
      dwThreadId = 14932}, status = -1, chr = 67 'C', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 6112, char_avail = 0x6f4,
    char_consumed = 0x7e4, thrd = 0x744, hwnd = 0x0, procinfo = {
      hProcess = 0x714, hThread = 0x430, dwProcessId = 6112,
      dwThreadId = 16336}, status = 3, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
---Type <return> to continue, or q <return> to quit---
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 0, pid = 0, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 0, chr = 0 '\000', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 0, pid = 0, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 0, chr = 0 '\000', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 0, pid = 0, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 0, chr = 0 '\000', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 0, pid = 0, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 0, chr = 0 '\000', ovl_read = {Internal = 0,
---Type <return> to continue, or q <return> to quit---
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}}
(gdb) continue
Continuing.
warning: sys_kill.TerminateProcess returned 5 for pid 6112
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x2e30]

Breakpoint 3, sys_kill (pid=16080, sig=9) at w32proc.c:2247
2247    in w32proc.c
#0  sys_kill (pid=16080, sig=9) at w32proc.c:2247
#1  0x0102e22d in process_send_signal (process=121952701, signo=9,
    current_group=57350170, nomsg=0) at process.c:5948
#2  0x0102e28b in Fkill_process (process=121952701, current_group=57350170)
    at process.c:5975
#3  0x01023231 in Fdelete_process (process=121952701) at process.c:845
#4  0x0101318f in eval_sub (form=100522366) at eval.c:2140
$59 = (child_process *) 0x1681600
(gdb) There is no member named wnd.
continp fd_info[0]@64
$60 = {{flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 1559, hnd = 0x2a8,
    cp = 0x1680c60}, {flags = 401, hnd = 0x610, cp = 0x1681600}, {
    flags = 1555, hnd = 0x468, cp = 0x1680d10}, {flags = 0, hnd = 0x758,
    cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0,
    cp = 0x0}, {flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0,
    cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0,
    cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0} <repeats 51 times>}
(gdb) p child_procs[1]@32
$61 = {{fd = 3, pid = -1, char_avail = 0x2b0, char_consumed = 0x2b4,
    thrd = 0x2b8, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
      dwProcessId = 0, dwThreadId = 0}, status = 2, chr = 0 '\000',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 19048, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x750582, procinfo = {
      hProcess = 0x748, hThread = 0x354, dwProcessId = 19048,
      dwThreadId = 11920}, status = -1, chr = 68 'D', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 5, pid = -1, char_avail = 0x2f0,
    char_consumed = 0x320, thrd = 0x364, hwnd = 0x0, procinfo = {
      hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId = 0},
    status = 1, chr = 23 '\027', ovl_read = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0},
    ovl_write = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {fd = 4,
    pid = 26412, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x740582, procinfo = {hProcess = 0x7c4, hThread = 0x1f4,
      dwProcessId = 26412, dwThreadId = 5428}, status = 3, chr = 54 '6',
---Type <return> to continue, or q <return> to quit---
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 16560, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xad089c, procinfo = {
      hProcess = 0x2d4, hThread = 0x590, dwProcessId = 16560,
      dwThreadId = 19600}, status = 3, chr = 67 'C', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 28604, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x590b08, procinfo = {hProcess = 0x548, hThread = 0x324,
      dwProcessId = 28604, dwThreadId = 5620}, status = -1, chr = 115 's',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 920, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5a0b08, procinfo = {
      hProcess = 0x514, hThread = 0x4c8, dwProcessId = 920,
      dwThreadId = 17864}, status = -1, chr = 114 'r', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
---Type <return> to continue, or q <return> to quit---
      hEvent = 0x0}}, {fd = 7, pid = 3192, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5b0b08, procinfo = {
      hProcess = 0x564, hThread = 0x574, dwProcessId = 3192,
      dwThreadId = 16276}, status = 3, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 17568, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x4f0604, procinfo = {hProcess = 0x6b8, hThread = 0x570,
      dwProcessId = 17568, dwThreadId = 16756}, status = -1, chr = 68 'D',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 25984, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x500604, procinfo = {
      hProcess = 0x77c, hThread = 0x6d8, dwProcessId = 25984,
      dwThreadId = 4420}, status = -1, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 18904, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x510604, procinfo = {hProcess = 0x654, hThread = 0x538,
      dwProcessId = 18904, dwThreadId = 17596}, status = -1, chr = 68 'D',
---Type <return> to continue, or q <return> to quit---
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 13440, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x520604, procinfo = {
      hProcess = 0x6ec, hThread = 0x5fc, dwProcessId = 13440,
      dwThreadId = 24428}, status = 3, chr = 46 '.', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 1968, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x7fc, hThread = 0x710,
      dwProcessId = 1968, dwThreadId = 23708}, status = 2, chr = 68 'D',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 7260, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x74c,
      hThread = 0x6b4, dwProcessId = 7260, dwThreadId = 19452}, status = -1,
    chr = 68 'D', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 7, pid = 9796, char_avail = 0x0,
---Type <return> to continue, or q <return> to quit---
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x3e06cc, procinfo = {
      hProcess = 0x53c, hThread = 0x370, dwProcessId = 9796,
      dwThreadId = 7612}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 7040, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x3f06cc, procinfo = {
      hProcess = 0x7a8, hThread = 0x49c, dwProcessId = 7040,
      dwThreadId = 13952}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 11380, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xe708f4, procinfo = {
      hProcess = 0x5d4, hThread = 0x594, dwProcessId = 11380,
      dwThreadId = 24484}, status = -1, chr = 67 'C', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 25504, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xe808f4, procinfo = {
      hProcess = 0x3e4, hThread = 0x7dc, dwProcessId = 25504,
---Type <return> to continue, or q <return> to quit---
      dwThreadId = 8504}, status = 3, chr = 55 '7', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 27128, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x7e0, hThread = 0x740,
      dwProcessId = 27128, dwThreadId = 27896}, status = -1, chr = 115 's',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 24384, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x760582, procinfo = {
      hProcess = 0x6bc, hThread = 0x6d0, dwProcessId = 24384,
      dwThreadId = 28584}, status = 3, chr = 58 ':', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 4, pid = 7672, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x718, hThread = 0x6fc,
      dwProcessId = 7672, dwThreadId = 14964}, status = -1, chr = 46 '.',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
---Type <return> to continue, or q <return> to quit---
      hEvent = 0x0}}, {fd = 4, pid = 12828, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x470,
      hThread = 0x6e8, dwProcessId = 12828, dwThreadId = 17024}, status = -1,
    chr = 68 'D', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 4, pid = 26048,
    char_avail = 0x0, char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {
      hProcess = 0x464, hThread = 0x530, dwProcessId = 26048,
      dwThreadId = 27808}, status = 3, chr = 115 's', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 24868, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5f067c, procinfo = {
      hProcess = 0x4ec, hThread = 0x650, dwProcessId = 24868,
      dwThreadId = 17196}, status = -1, chr = 68 'D', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 15764, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5e067c, procinfo = {
      hProcess = 0x6ac, hThread = 0x724, dwProcessId = 15764,
---Type <return> to continue, or q <return> to quit---
      dwThreadId = 12564}, status = -1, chr = 68 'D', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 3660, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xba0c34, procinfo = {
      hProcess = 0x504, hThread = 0x4b8, dwProcessId = 3660,
      dwThreadId = 9932}, status = -1, chr = 92 '\\', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 22816, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x60067c, procinfo = {
      hProcess = 0x310, hThread = 0x6c4, dwProcessId = 22816,
      dwThreadId = 14932}, status = -1, chr = 67 'C', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 6112, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x714,
      hThread = 0x430, dwProcessId = 6112, dwThreadId = 16336}, status = -1,
    chr = 68 'D', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
---Type <return> to continue, or q <return> to quit---
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 4, pid = 16080,
    char_avail = 0x6f4, char_consumed = 0x744, thrd = 0x6c0, hwnd = 0x0,
    procinfo = {hProcess = 0x618, hThread = 0x4f8, dwProcessId = 16080,
      dwThreadId = 6976}, status = 4, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 0, pid = 0, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 0, chr = 0 '\000', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 0, pid = 0, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 0, chr = 0 '\000', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 0, pid = 0, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0, dwProcessId = 0,
      dwThreadId = 0}, status = 0, chr = 0 '\000', ovl_read = {Internal = 0,
---Type <return> to continue, or q <return> to quit---
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}}
(gdb) continue
Continuing.
warning: sys_kill.TerminateProcess returned 5 for pid 16080
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0xc14]
[New Thread 26316.0xb70]
[New Thread 26316.0x5c4c]

Breakpoint 3, sys_kill (pid=3156, sig=9) at w32proc.c:2247
2247    in w32proc.c
#0  sys_kill (pid=3156, sig=9) at w32proc.c:2247
#1  0x0102e22d in process_send_signal (process=122143829, signo=9,
    current_group=57350170, nomsg=0) at process.c:5948
#2  0x0102e28b in Fkill_process (process=122143829, current_group=57350170)
    at process.c:5975
#3  0x01023231 in Fdelete_process (process=122143829) at process.c:845
#4  0x0101318f in eval_sub (form=100522366) at eval.c:2140
$62 = (child_process *) 0x1681658
(gdb) There is no member named wnd.
contincontinue
Continuing.
warning: sys_kill.TerminateProcess returned 5 for pid 3156
[New Thread 26316.0x2dc0]
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x5378]
[New Thread 26316.0x5478]

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 26316.0x5478]
0x77af2fac in ntdll!RtlVerifyVersionInfo ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
(gdb) continue
Continuing.
[New Thread 26316.0x6a74]
[New Thread 26316.0x1250]
[New Thread 26316.0x108c]
[New Thread 26316.0x768]
[New Thread 26316.0x1524]
[New Thread 26316.0x55fc]
[New Thread 26316.0x2280]
[New Thread 26316.0x34]
[New Thread 26316.0x39dc]
[New Thread 26316.0x4718]
[New Thread 26316.0x4420]
[New Thread 26316.0x1f7c]
[New Thread 26316.0x415c]
[New Thread 26316.0x683c]
[New Thread 26316.0x5c04]
[New Thread 26316.0x2f4c]
[New Thread 26316.0x1510]
[New Thread 26316.0xc4]
[New Thread 26316.0x251c]
[New Thread 26316.0x5ad0]
[New Thread 26316.0x44d4]
[New Thread 26316.0x4b68]
[New Thread 26316.0x3ca0]
[New Thread 26316.0x5a0c]
[New Thread 26316.0x6904]
[New Thread 26316.0x2534]
[New Thread 26316.0x6630]
[New Thread 26316.0x4820]
[New Thread 26316.0x6cac]
[New Thread 26316.0x457c]
[New Thread 26316.0x2e04]
[New Thread 26316.0x3d78]
[New Thread 26316.0x126c]
[New Thread 26316.0x5ba0]
[New Thread 26316.0x2204]
warning: clipped frame 039B3DE0 (Emacs 24.2.93.1 pid:26316) got WM_PAINT - ignored
[New Thread 26316.0x4e7c]
warning: reader_thread.SetEvent failed with 6 for fd 4
[New Thread 26316.0x2dac]
[New Thread 26316.0x264c]
[New Thread 26316.0x6178]

It's 12:18: spawning child process when saving an Org file

[New Thread 26316.0x6a78]

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 26316.0x6a78]
0x77af2fac in ntdll!RtlVerifyVersionInfo ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
(gdb)
Continuing.

did F12...

[New Thread 26316.0x1bf0]

12:22 Trying to export Org to PDF "spawning child process: resource temporarily unavaible"

12:23 Try to send you an email: "Couldn't open server"

[New Thread 26316.0x2e48]
[Switching to Thread 26316.0xfc4]

Breakpoint 2, sys_read (fd=5, buffer=0x72c7034 "", count=5) at w32.c:6410
6410    w32.c: No such file or directory.
#0  sys_read (fd=5, buffer=0x72c7034 "", count=5) at w32.c:6410
#1  0x01091825 in emacs_gnutls_pull (p=0x6665380, buf=0x72c7034, sz=5)
    at w32.c:7204
#2  0x7021725d in _gnutls_stream_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
#3  0x7021756d in _gnutls_read ()
   from /cygdrive/c/Program Files (x86)/GnuTLS-3.1.6-w32/bin/libgnutls-28.dll
$63 = 5
$64 = {flags = 1555, hnd = 0x644, cp = 0x1680d10}
$65 = {fd = 5, pid = -1, char_avail = 0x7f8, char_consumed = 0x454,
  thrd = 0x5f0, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
    dwProcessId = 0, dwThreadId = 0}, status = 1, chr = 51 '3', ovl_read = {
    Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
      Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
    InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
    hEvent = 0x0}}
warning: sys_read called when read is in progress

Did C in Gnus Server buffer, [New Thread 26316.0x1394]
followed by O

12:24 Unable to open server nnimap
[New Thread 26316.0x108]

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 26316.0x108]
---Type <return> to continue, or q <return> to quit---It's 12:18: spawning child process when saving an Org file
0x77af2fac in ntdll!RtlVerifyVersionInfo ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
(gdb)
Continuing.

[New Thread 26316.0x6b00]

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 26316.0x6b00]
0x77af2fac in ntdll!RtlVerifyVersionInfo ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
(gdb)
Continuing.
[New Thread 26316.0x47b4]

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 26316.0x47b4]
0x77af2fac in ntdll!RtlVerifyVersionInfo ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
(gdb)
Continuing.

I don't get the GDB prompt anymore, even after pressing F12!

[New Thread 26316.0x21b0]

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 26316.0x21b0]
0x77af2fac in ntdll!RtlVerifyVersionInfo ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
(gdb) did F12...
(gdb)
(gdb) Undefined command: "did".  Try "help".
Undefined command: "did".  Try "help".
did F1
(gdb) Undefined command: "did".  Try "help".1
arily unavaible"xport Org to PDF "spawning child process: resource tempor
(gdb) Undefined command: "12".  Try "help".

(gdb) Undefined command: "12".  Try "help".1
2:23 Try to send you an email: "Couldn't open server"
(gdb) Undefined command: "12".  Try "help".

(gdb) Undefined command: "12".  Try "help".

(gdb) Undefined command: "12".  Try "help".D
id C in Gnus Server buffer, followed by O
(gdb) Undefined command: "Did".  Try "help".

(gdb) Undefined command: "Did".  Try "help".1
2:24 Unable to open server nnimap
(gdb) Undefined command: "12".  Try "help".
12:24
(gdb) Undefined command: "12".  Try "help".

(gdb) Undefined command: "12".  Try "help".
12:24 I don't get the GDB prompt anymore, even after pressing F12!
(gdb) Undefined info command: "don't get the GDB prompt anymore, even after pressing F12!".  Try "help info".

(gdb) Undefined info command: "don't get the GDB prompt anymore, even after pressing F12!".  Try "help info".
p fd_info[1]@64
$66 = {{flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 1559, hnd = 0x2a8,
    cp = 0x1680c60}, {flags = 0, hnd = 0x610, cp = 0x0}, {flags = 1555,
    hnd = 0x644, cp = 0x1680d10}, {flags = 273, hnd = 0x758, cp = 0x0}, {
    flags = 274, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 273, hnd = 0x0, cp = 0x0}, {
    flags = 274, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 273, hnd = 0x0, cp = 0x0}, {
    flags = 274, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 273, hnd = 0x0, cp = 0x0}, {
    flags = 274, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 273, hnd = 0x0, cp = 0x0}, {
    flags = 274, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x69c, cp = 0x0}, {flags = 274, hnd = 0x0, cp = 0x0}, {
    flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0, cp = 0x0}, {
    flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0, cp = 0x0}, {
    flags = 273, hnd = 0x0, cp = 0x0}, {flags = 273, hnd = 0x0, cp = 0x0}, {
    flags = 274, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 273, hnd = 0x0, cp = 0x0}, {
    flags = 274, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
---Type <return> to continue, or q <return> to quit---
    flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 273, hnd = 0x0, cp = 0x0}, {
    flags = 274, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 273, hnd = 0x0, cp = 0x0}, {flags = 274, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x7d8, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}, {flags = 0, hnd = 0x0, cp = 0x0}, {
    flags = 0, hnd = 0x0, cp = 0x0}}
(gdb) p child_procs[1]@32
$67 = {{fd = 3, pid = -1, char_avail = 0x2b0, char_consumed = 0x2b4,
    thrd = 0x2b8, hwnd = 0x0, procinfo = {hProcess = 0x0, hThread = 0x0,
      dwProcessId = 0, dwThreadId = 0}, status = 2, chr = 0 '\000',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 19048, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x750582, procinfo = {
      hProcess = 0x748, hThread = 0x354, dwProcessId = 19048,
      dwThreadId = 11920}, status = -1, chr = 68 'D', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 5, pid = -1, char_avail = 0x7f8,
    char_consumed = 0x454, thrd = 0x5f0, hwnd = 0x0, procinfo = {
      hProcess = 0x0, hThread = 0x0, dwProcessId = 0, dwThreadId = 0},
    status = 1, chr = 23 '\027', ovl_read = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0},
    ovl_write = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {fd = 4,
    pid = 26412, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x740582, procinfo = {hProcess = 0x7c4, hThread = 0x1f4,
      dwProcessId = 26412, dwThreadId = 5428}, status = 3, chr = 54 '6',
---Type <return> to continue, or q <return> to quit---
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 16560, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xad089c, procinfo = {
      hProcess = 0x2d4, hThread = 0x590, dwProcessId = 16560,
      dwThreadId = 19600}, status = 3, chr = 67 'C', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 28604, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x590b08, procinfo = {hProcess = 0x548, hThread = 0x324,
      dwProcessId = 28604, dwThreadId = 5620}, status = -1, chr = 115 's',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 920, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5a0b08, procinfo = {
      hProcess = 0x514, hThread = 0x4c8, dwProcessId = 920,
      dwThreadId = 17864}, status = -1, chr = 114 'r', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
---Type <return> to continue, or q <return> to quit---
      hEvent = 0x0}}, {fd = 7, pid = 3192, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5b0b08, procinfo = {
      hProcess = 0x564, hThread = 0x574, dwProcessId = 3192,
      dwThreadId = 16276}, status = 3, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 17568, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x4f0604, procinfo = {hProcess = 0x6b8, hThread = 0x570,
      dwProcessId = 17568, dwThreadId = 16756}, status = -1, chr = 68 'D',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 25984, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x500604, procinfo = {
      hProcess = 0x77c, hThread = 0x6d8, dwProcessId = 25984,
      dwThreadId = 4420}, status = -1, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 18904, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x510604, procinfo = {hProcess = 0x654, hThread = 0x538,
      dwProcessId = 18904, dwThreadId = 17596}, status = -1, chr = 68 'D',
---Type <return> to continue, or q <return> to quit---
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 13440, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x520604, procinfo = {
      hProcess = 0x6ec, hThread = 0x5fc, dwProcessId = 13440,
      dwThreadId = 24428}, status = 3, chr = 46 '.', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 1968, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x7fc, hThread = 0x710,
      dwProcessId = 1968, dwThreadId = 23708}, status = 2, chr = 68 'D',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 7260, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x74c,
      hThread = 0x6b4, dwProcessId = 7260, dwThreadId = 19452}, status = -1,
    chr = 68 'D', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 7, pid = 9796, char_avail = 0x0,
---Type <return> to continue, or q <return> to quit---
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x3e06cc, procinfo = {
      hProcess = 0x53c, hThread = 0x370, dwProcessId = 9796,
      dwThreadId = 7612}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 7040, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x3f06cc, procinfo = {
      hProcess = 0x7a8, hThread = 0x49c, dwProcessId = 7040,
      dwThreadId = 13952}, status = 2, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 11380, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xe708f4, procinfo = {
      hProcess = 0x5d4, hThread = 0x594, dwProcessId = 11380,
      dwThreadId = 24484}, status = -1, chr = 67 'C', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 25504, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xe808f4, procinfo = {
      hProcess = 0x3e4, hThread = 0x7dc, dwProcessId = 25504,
---Type <return> to continue, or q <return> to quit---
      dwThreadId = 8504}, status = 3, chr = 55 '7', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 7, pid = 27128, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x7e0, hThread = 0x740,
      dwProcessId = 27128, dwThreadId = 27896}, status = -1, chr = 115 's',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 24384, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x760582, procinfo = {
      hProcess = 0x6bc, hThread = 0x6d0, dwProcessId = 24384,
      dwThreadId = 28584}, status = 3, chr = 58 ':', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 4, pid = 7672, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x718, hThread = 0x6fc,
      dwProcessId = 7672, dwThreadId = 14964}, status = -1, chr = 46 '.',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
---Type <return> to continue, or q <return> to quit---
      hEvent = 0x0}}, {fd = 4, pid = 12828, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x470,
      hThread = 0x6e8, dwProcessId = 12828, dwThreadId = 17024}, status = -1,
    chr = 68 'D', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 4, pid = 26048,
    char_avail = 0x0, char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {
      hProcess = 0x464, hThread = 0x530, dwProcessId = 26048,
      dwThreadId = 27808}, status = 3, chr = 115 's', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 24868, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5f067c, procinfo = {
      hProcess = 0x4ec, hThread = 0x650, dwProcessId = 24868,
      dwThreadId = 17196}, status = -1, chr = 68 'D', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 15764, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x5e067c, procinfo = {
      hProcess = 0x6ac, hThread = 0x724, dwProcessId = 15764,
---Type <return> to continue, or q <return> to quit---
      dwThreadId = 12564}, status = -1, chr = 68 'D', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 7, pid = 3660, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xba0c34, procinfo = {
      hProcess = 0x504, hThread = 0x4b8, dwProcessId = 3660,
      dwThreadId = 9932}, status = -1, chr = 92 '\\', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 22816, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x60067c, procinfo = {
      hProcess = 0x310, hThread = 0x6c4, dwProcessId = 22816,
      dwThreadId = 14932}, status = -1, chr = 67 'C', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 6112, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {hProcess = 0x714,
      hThread = 0x430, dwProcessId = 6112, dwThreadId = 16336}, status = -1,
    chr = 68 'D', ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0,
          OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}, ovl_write = {
---Type <return> to continue, or q <return> to quit---
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}}, {fd = 4, pid = 16080,
    char_avail = 0x0, char_consumed = 0x0, thrd = 0x0, hwnd = 0x0, procinfo = {
      hProcess = 0x618, hThread = 0x4f8, dwProcessId = 16080,
      dwThreadId = 6976}, status = -1, chr = 68 'D', ovl_read = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}, ovl_write = {Internal = 0, InternalHigh = 0, {{
          Offset = 0, OffsetHigh = 0}, Pointer = 0x0}, hEvent = 0x0}}, {
    fd = 4, pid = 3156, char_avail = 0x0, char_consumed = 0x0, thrd = 0x0,
    hwnd = 0x0, procinfo = {hProcess = 0x758, hThread = 0x6f4,
      dwProcessId = 3156, dwThreadId = 26712}, status = 2, chr = 115 's',
    ovl_read = {Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 11940, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0x430a4a, procinfo = {
      hProcess = 0x640, hThread = 0x528, dwProcessId = 11940,
      dwThreadId = 12984}, status = -1, chr = 0 '\000', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}, {fd = 4, pid = 5136, char_avail = 0x0,
    char_consumed = 0x0, thrd = 0x0, hwnd = 0xba0686, procinfo = {
---Type <return> to continue, or q <return> to quit---
      hProcess = 0x51c, hThread = 0x76c, dwProcessId = 5136,
      dwThreadId = 19740}, status = 3, chr = 101 'e', ovl_read = {
      Internal = 0, InternalHigh = 0, {{Offset = 0, OffsetHigh = 0},
        Pointer = 0x0}, hEvent = 0x0}, ovl_write = {Internal = 0,
      InternalHigh = 0, {{Offset = 0, OffsetHigh = 0}, Pointer = 0x0},
      hEvent = 0x0}}}
(gdb)
(gdb) continue
Continuing.
--8<---------------cut here---------------end--------------->8---

I'll send you my full Messages buffer privately.

Best regards,
  Seb

--
Sebastien Vauban

[1] DEFINITION NOT FOUND: 0